<?php
/*
Plugin Name: Remove parenthesis right after iframe
Description: This plugin filters out the parenthesis from right after an iframe
Author: Jan Dembowski
*/

add_filter( 'the_content', 'mh_fix_iframe' , 15 );

function mh_fix_iframe( $text ) {

        // RegEx to find the right <a href=...><img data-attachment-id=... and put that into an array
        $mh_regex = "/<\/iframe>\)/";

        // Use that RegEx and populate the hits into an array
        preg_match_all( $mh_regex , $text , $mh_matches );

        // If there's any hits then loop though those and replace those hits
        for ( $mh_count = 0; $mh_count < count( $mh_matches[0] ); $mh_count++ )
                {
                        $mh_old = $mh_matches[0][$mh_count];
                        $mh_new = str_replace( '</iframe>)' , '</iframe>' , $mh_old );
                        $text = str_replace( $mh_old  , $mh_new , $text );
                }
        // Return any substitutions
        return $text;
}